︠5d3d66fd-fb4f-4ab4-af17-6fd2801566f1is︠
#Bard - Sage - Parametric Plot Curve 2D Demo

html("<h2 style='color:blue'>Bard - Sage - Parametric Plot Curve 2D Demo</h2>")

html("<p>One of the following situations will occur when you start this worksheet:</p><ul><li><b>The graph or formulas are visible below the input boxes, sliders and check boxes</b>: proceed to use the worksheet.</li><li><b>The code is visible</b>: put the cursor in the code, and then click on Run (the green square with the triangle in the menu above), which will bring up the graph or formulas.</li><li><b>The code is not visible, and you see “(Evaluate this cell to use this interact)” instead of the graph or formulas</b>: double-click where that message is written to bring up the code, put the cursor in the code, and then click on Run (the green square with the triangle in the menu above), which will bring up the graph or formulas.</li>")

html("<p>Using the worksheet:</p><ul><li>Once the graph or formulas are visible, manipulate the entries via the input boxes, sliders and check boxes.</li><li>When you change something in an input box, hit Return on your keyboard.</li></ul>")

t, y = var('t y');
@interact
def _(
    r = input_box(default = (e^(t/5)*cos(t), e^(t/5)*sin(t)), label = "$\mathbf{r}(t)$"),
    tminn = input_box(default = 0, label = "$t$-minimum"),
    tmaxx = input_box(default = 4*pi, label = "$t$-maximum"),
    ):
        tmin = n(tminn);
        tmax = n(tmaxx);
        plt = parametric_plot(r, (t, tmin, tmax), figsize = 10, color = 'red', aspect_ratio = 1);
        html(r'$$\mathbf{r}(t) = %s$$'% (latex(r)));
        show(plt)
︡8623e045-6314-4ece-b7d7-080e6693a319︡︡{"hide":"input"}︡{"html":"<h2 style='color:blue'>Bard - Sage - Parametric Plot Curve 2D Demo</h2>","done":false}︡{"hide":"input"}︡{"html":"<p>One of the following situations will occur when you start this worksheet:</p><ul><li><b>The graph or formulas are visible below the input boxes, sliders and check boxes</b>: proceed to use the worksheet.</li><li><b>The code is visible</b>: put the cursor in the code, and then click on Run (the green square with the triangle in the menu above), which will bring up the graph or formulas.</li><li><b>The code is not visible, and you see “(Evaluate this cell to use this interact)” instead of the graph or formulas</b>: double-click where that message is written to bring up the code, put the cursor in the code, and then click on Run (the green square with the triangle in the menu above), which will bring up the graph or formulas.</li>","done":false}︡{"hide":"input"}︡{"html":"<p>Using the worksheet:</p><ul><li>Once the graph or formulas are visible, manipulate the entries via the input boxes, sliders and check boxes.</li><li>When you change something in an input box, hit Return on your keyboard.</li></ul>","done":false}︡{"interact":{"style":"None","flicker":false,"layout":[[["r",12,null]],[["tminn",12,null]],[["tmaxx",12,null]],[["",12,null]]],"id":"552d70e9-020c-4d16-8262-e93d988c4968","controls":[{"control_type":"input-box","default":"(cos(t)*e^(1/5*t), e^(1/5*t)*sin(t))","label":"$\\mathbf{r}(t)$","nrows":1,"width":null,"readonly":false,"submit_button":null,"var":"r","type":null},{"control_type":"input-box","default":0,"label":"$t$-minimum","nrows":1,"width":null,"readonly":false,"submit_button":null,"var":"tminn","type":null},{"control_type":"input-box","default":"4*pi","label":"$t$-maximum","nrows":1,"width":null,"readonly":false,"submit_button":null,"var":"tmaxx","type":null}]},"done":false}︡{"done":true}
︠52b0e545-b788-4533-b2a5-0265f38e9d3f︠









